package com.inspect.patrol.model;

import lombok.Getter;

import java.io.Serializable;

@Getter
public class VideoReviewStartModel implements Serializable {
    private String patrolDeviceCode;
    private String serial;
    private String startTime;

    private String filepath;

    public void setFilepath(String filepath) {
        this.filepath = filepath.replace("&", "%26");
    }

    public void setStartTime(String startTime) {
        this.startTime = this.startTime = startTime;
    }

    public void setPatrolDeviceCode(String patrolDeviceCode) {
        this.serial = this.patrolDeviceCode = patrolDeviceCode;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }
}
